Package ru.bitel.bgbilling.plugins.crm.common.model

# Class PersonalRegisterTask

java.lang.Object
ru.bitel.bgbilling.plugins.crm.common.model.PersonalRegisterTask

    public class PersonalRegisterTask
    extends java.lang.Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `PersonalRegisterTask.Builder` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `PersonalRegisterTask()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static PersonalRegisterTask.Builder` | `builder()` |
  `java.lang.String` | `getArea()` |
  `java.lang.String` | `getCity()` |
  `java.lang.String` | `getContract()` |
  `java.lang.String` | `getContractComment()` |
  `java.lang.String` | `getFio()` |
  `java.lang.String` | `getFlat()` |
  `int` | `getFloor()` |
  `java.lang.String` | `getHouse()` |
  `java.lang.String` | `getObjectTitle()` |
  `java.lang.String` | `getPhone()` |
  `int` | `getPod()` |
  `java.lang.String` | `getQuarter()` |
  `java.lang.String` | `getStreet()` |
  `RegisterTask` | `getTask()` |
  `void` | `setArea​(java.lang.String area)` |
  `void` | `setCity​(java.lang.String city)` |
  `void` | `setContract​(java.lang.String contract)` |
  `void` | `setContractComment​(java.lang.String contractComment)` |
  `void` | `setFio​(java.lang.String fio)` |
  `void` | `setFlat​(java.lang.String flat)` |
  `void` | `setFloor​(int floor)` |
  `void` | `setHouse​(java.lang.String house)` |
  `void` | `setObjectTitle​(java.lang.String objectTitle)` |
  `void` | `setPhone​(java.lang.String phone)` |
  `void` | `setPod​(int pod)` |
  `void` | `setQuarter​(java.lang.String quarter)` |
  `void` | `setStreet​(java.lang.String street)` |
  `void` | `setTask​(RegisterTask task)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PersonalRegisterTask

    public PersonalRegisterTask()

- ## Method Details

  - ### getArea

    public java.lang.String getArea()

  - ### getCity

    public java.lang.String getCity()

  - ### getContract

    public java.lang.String getContract()

  - ### getContractComment

    public java.lang.String getContractComment()

  - ### getFio

    public java.lang.String getFio()

  - ### getFlat

    public java.lang.String getFlat()

  - ### getFloor

    public int getFloor()

  - ### getHouse

    public java.lang.String getHouse()

  - ### getObjectTitle

    public java.lang.String getObjectTitle()

  - ### getPhone

    public java.lang.String getPhone()

  - ### getPod

    public int getPod()

  - ### getQuarter

    public java.lang.String getQuarter()

  - ### getStreet

    public java.lang.String getStreet()

  - ### getTask

    public RegisterTask getTask()

  - ### setArea

    public void setArea​(java.lang.String area)

  - ### setCity

    public void setCity​(java.lang.String city)

  - ### setContract

    public void setContract​(java.lang.String contract)

  - ### setContractComment

    public void setContractComment​(java.lang.String contractComment)

  - ### setFio

    public void setFio​(java.lang.String fio)

  - ### setFlat

    public void setFlat​(java.lang.String flat)

  - ### setFloor

    public void setFloor​(int floor)

  - ### setHouse

    public void setHouse​(java.lang.String house)

  - ### setObjectTitle

    public void setObjectTitle​(java.lang.String objectTitle)

  - ### setPhone

    public void setPhone​(java.lang.String phone)

  - ### setPod

    public void setPod​(int pod)

  - ### setQuarter

    public void setQuarter​(java.lang.String quarter)

  - ### setStreet

    public void setStreet​(java.lang.String street)

  - ### setTask

    public void setTask​(RegisterTask task)

  - ### builder

    public static PersonalRegisterTask.Builder builder()